---
# roles/gitlab_runner/meta/argument_specs.yml

argument_specs:
  main:
    short_description: "tasks/main.yml"
    options:

      # Package management

      gitlab_runner_package_names:
        description: "List of package names"
        type: "list"
        default:
          - "gitlab-runner"

      gitlab_runner_package_state:
        description: "Package state"
        type: "str"
        choices:
          - "present"
          - "absent"
          - "latest"
        default: "present"
...
